Package twisted :: Package mail :: Module relaymanager :: Class ESMTPManagedRelayerFactory

[frames | no frames]

## Class ESMTPManagedRelayerFactory

              Factory --+
                        |
            ClientFactory --+
                            |
    SMTPManagedRelayerFactory --+
                                |
                               ESMTPManagedRelayerFactory

Method Summary
| `__init__(self, messages, manager, secret, contextFactory, *args, **kw)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
Inherited from SMTPManagedRelayerFactory
| ``clientConnectionFailed`(self, connector, reason)` called when connection could not be made
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when an established connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.mail.relaymanager.ESMTPManagedRelayer`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.mail.relaymanager.SMTPManagedRelayerFactory.buildProtocol` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net